# frozen_string_literal: true

require_relative "lib/planet_express_express/version"

Gem::Specification.new do |spec|
  spec.name = "planet_express_express"
  spec.version = PlanetExpressExpress::VERSION
  spec.authors = ["Tim Kächele"]
  spec.email = ["mail@timkaechele.me"]

  spec.summary = "A performant discount calculator"
  spec.description = "Data oriented implementation of a discount calculator."
  spec.homepage = "https://git.timkaechele.me"
  spec.required_ruby_version = ">= 2.6.0"

  spec.metadata["homepage_uri"] = spec.homepage
  spec.metadata["source_code_uri"] = "https://git.timkaechele.me"
  spec.metadata["changelog_uri"] = "https://git.timkaechele.me"

  # Specify which files should be added to the gem when it is released.
  # The `git ls-files -z` loads the files in the RubyGem that have been added into git.
  spec.files = Dir.chdir(__dir__) do
    `git ls-files -z`.split("\x0").reject do |f|
      (f == __FILE__) || f.match(%r{\A(?:(?:bin|test|spec|features)/|\.(?:git|travis|circleci)|appveyor)})
    end
  end
  spec.bindir = "exe"
  spec.executables = spec.files.grep(%r{\Aexe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  # Uncomment to register a new dependency of your gem
  # spec.add_dependency "example-gem", "~> 1.0"

  # For more information and examples about making a new gem, check out our
  # guide at: https://bundler.io/guides/creating_gem.html
end
